Index: code/trunk/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuest.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/AddQuest.cc	(revision 2093)
@@ -78,17 +78,17 @@
         try
         {
-	    Quest* quest = QuestManager::findQuest(this->getQuestId());
-	    if(!quest->start(player))
-	    {
-	       return false;
-	    }
-	}
-	catch(const orxonox::Exception& ex)
-	{
+            Quest* quest = QuestManager::findQuest(this->getQuestId());
+            if(!quest->start(player))
+            {
+               return false;
+            }
+        }
+        catch(const orxonox::Exception& ex)
+        {
             COUT(2) << ex.getFullDescription() << std::endl;
             return false;
-	}
+        }
 
-	return true;
+        return true;
     }
 
Index: code/trunk/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuest.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/AddQuest.h	(revision 2093)
@@ -47,11 +47,11 @@
     class AddQuest : public ChangeQuestStatus
     {
-	public:
+        public:
             AddQuest(BaseObject* creator);
-	    virtual ~AddQuest();
+            virtual ~AddQuest();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    virtual bool invoke(Player* player); //!< Invokes the effect.
+            virtual bool invoke(Player* player); //!< Invokes the effect.
 
     };
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.cc	(revision 2093)
@@ -88,16 +88,16 @@
         {
             QuestHint* hint = QuestManager::findHint(this->hintId_);
-	    if(!hint->activate(player))
-	    {
-		return false;
-	    }
-	}
-	catch(const Exception& e)
-	{
-	   COUT(2) << e.getFullDescription() << std::endl;
-	   return false;
-	}
+            if(!hint->activate(player))
+            {
+                return false;
+            }
+        }
+        catch(const Exception& e)
+        {
+           COUT(2) << e.getFullDescription() << std::endl;
+           return false;
+        }
 
-	return true;
+        return true;
 
     }
Index: code/trunk/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddQuestHint.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/AddQuestHint.h	(revision 2093)
@@ -40,24 +40,24 @@
     /**
     @brief
-	Adds a QuestHint, resp. Activates the QuestHint.
+        Adds a QuestHint, resp. Activates the QuestHint.
     @author
-	Damian 'Mozork' Frick
+        Damian 'Mozork' Frick
     */
     class AddQuestHint : public QuestEffect
     {
-	public:
+        public:
             AddQuestHint(BaseObject* creator);
-	    virtual ~AddQuestHint();
+            virtual ~AddQuestHint();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    virtual bool invoke(Player* player); //!< Invokes the effect.
+            virtual bool invoke(Player* player); //!< Invokes the effect.
 
-	private:
+        private:
             std::string hintId_;
 
             inline const std::string & getHintId(void) const
                 { return this->hintId_; }
-	    void setHintId(const std::string & id);
+            void setHintId(const std::string & id);
 
     };
Index: code/trunk/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/AddReward.cc	(revision 2093)
@@ -71,11 +71,11 @@
         int i = index;
         for (std::list<Rewardable*>::const_iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward)
-	{
-	    if(i == 0)
-	    {
-	       return *reward;
-	    }
-	    i--;
-	}
+        {
+            if(i == 0)
+            {
+               return *reward;
+            }
+            i--;
+        }
         return NULL;
     }
@@ -91,11 +91,11 @@
     bool AddReward::invoke(Player* player)
     {
-	bool check = true;
+        bool check = true;
         for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
-	{
-	    check = check && (*reward)->reward(player);
-	}
+        {
+            check = check && (*reward)->reward(player);
+        }
 
-	return check;
+        return check;
     }
 
Index: code/trunk/src/orxonox/objects/quest/AddReward.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/AddReward.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/AddReward.h	(revision 2093)
@@ -42,19 +42,19 @@
     /**
     @brief
-	Adds a list of rewards to a player.
+        Adds a list of rewards to a player.
     @author
-	Damian 'Mozork' Frick
+        Damian 'Mozork' Frick
     */
     class AddReward : public QuestEffect
     {
-	public:
+        public:
             AddReward(BaseObject* creator);
-	    virtual ~AddReward();
+            virtual ~AddReward();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    virtual bool invoke(Player* player); //!< Invokes the effect.
+            virtual bool invoke(Player* player); //!< Invokes the effect.
 
-	private:
+        private:
             std::list<Rewardable*> rewards_;
 
@@ -63,5 +63,5 @@
             inline void addRewardable(Rewardable* reward)
                 { this->rewards_.push_back(reward); }
-	    const Rewardable* getRewardables(unsigned int index) const;
+            const Rewardable* getRewardables(unsigned int index) const;
 
     };
Index: code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 2093)
@@ -43,17 +43,17 @@
         An effect which changes a quests status.
     @author
-	Damian 'Mozork' Frick
+        Damian 'Mozork' Frick
     */
     class ChangeQuestStatus : public QuestEffect
     {
-	public:
+        public:
             ChangeQuestStatus(BaseObject* creator);
-	    virtual ~ChangeQuestStatus();
+            virtual ~ChangeQuestStatus();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    virtual bool invoke(Player* player) = 0; //!< Invokes the effect.
+            virtual bool invoke(Player* player) = 0; //!< Invokes the effect.
 
-	protected:
+        protected:
             inline const std::string & getQuestId(void) const //!< Returns the quest id.
                 { return this->questId_; }
@@ -61,6 +61,6 @@
             std::string questId_; //!< The id of the quest the status should be changed of.
 
-	private:
-	    void setQuestId(const std::string & id);
+        private:
+            void setQuestId(const std::string & id);
 
     };
Index: code/trunk/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/CompleteQuest.cc	(revision 2093)
@@ -74,17 +74,17 @@
         try
         {
-	    Quest* quest = QuestManager::findQuest(this->getQuestId());
-	    if(!quest->complete(player))
-	    {
-	       return false;
-	    }
-	}
-	catch(const Exception& e)
-	{
+            Quest* quest = QuestManager::findQuest(this->getQuestId());
+            if(!quest->complete(player))
+            {
+               return false;
+            }
+        }
+        catch(const Exception& e)
+        {
             COUT(2) << e.getFullDescription() << std::endl;
             return false;
-	}
+        }
 
-	return true;
+        return true;
     }
 
Index: code/trunk/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/CompleteQuest.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/CompleteQuest.h	(revision 2093)
@@ -47,11 +47,11 @@
     class CompleteQuest : public ChangeQuestStatus
     {
-	public:
+        public:
             CompleteQuest(BaseObject* creator);
-	    virtual ~CompleteQuest();
+            virtual ~CompleteQuest();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    virtual bool invoke(Player* player); //!< Invokes the effect.
+            virtual bool invoke(Player* player); //!< Invokes the effect.
 
     };
Index: code/trunk/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/FailQuest.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/FailQuest.cc	(revision 2093)
@@ -74,17 +74,17 @@
         try
         {
-	    Quest* quest = QuestManager::findQuest(this->getQuestId());
-	    if(!quest->fail(player))
-	    {
-	       return false;
-	    }
-	}
-	catch(const Exception& e)
-	{
+            Quest* quest = QuestManager::findQuest(this->getQuestId());
+            if(!quest->fail(player))
+            {
+               return false;
+            }
+        }
+        catch(const Exception& e)
+        {
             COUT(2) << e.getFullDescription() << std::endl;
             return false;
-	}
+        }
 
-	return true;
+        return true;
     }
 
Index: code/trunk/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/FailQuest.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/FailQuest.h	(revision 2093)
@@ -43,15 +43,15 @@
         Fails a quest.
     @author
-	Damian 'Mozork' Frick
+        Damian 'Mozork' Frick
     */
     class FailQuest : public ChangeQuestStatus
     {
-	public:
+        public:
             FailQuest(BaseObject* creator);
-	    virtual ~FailQuest();
+            virtual ~FailQuest();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    virtual bool invoke(Player* player); //!< Invokes the effect.
+            virtual bool invoke(Player* player); //!< Invokes the effect.
 
     };
Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.cc	(revision 2093)
@@ -132,11 +132,11 @@
         std::set<Player*>::const_iterator it = this->players_.find((Player*)(void*)player);
         if (it != this->players_.end())
-	{
-	    return this->status_;
-	}
-	else
-	{
-	   return questStatus::inactive;
-	}
+        {
+            return this->status_;
+        }
+        else
+        {
+           return questStatus::inactive;
+        }
 
     }
@@ -145,5 +145,5 @@
     @brief
         Sets the status for a specific player.
-	But be careful wit this one, the status will just be set without checking for its validity. You have to know what you're doing.
+        But be careful wit this one, the status will just be set without checking for its validity. You have to know what you're doing.
     @param player
         The player.
@@ -158,13 +158,13 @@
         {
             return false;
-	}
+        }
 
         std::set<Player*>::const_iterator it = this->players_.find(player);
         if (it == this->players_.end()) //!< Player is not yet in the list.
-	{
-	    this->players_.insert(player);
-	}
-	this->status_ = status;
-	return true;
+        {
+            this->players_.insert(player);
+        }
+        this->status_ = status;
+        return true;
     }
 
Index: code/trunk/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/GlobalQuest.h	(revision 2093)
@@ -48,19 +48,19 @@
     class GlobalQuest : public Quest
     {
-	public:
+        public:
             GlobalQuest(BaseObject* creator);
-	    virtual ~GlobalQuest();
+            virtual ~GlobalQuest();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	protected:
+        protected:
             virtual bool isStartable(const Player* player) const; //!< Checks whether the quest can be started.
             virtual bool isFailable(const Player* player) const; //!< Checks whether the quest can be failed.
             virtual bool isCompletable(const Player* player) const; //!< Checks whether the quest can be completed.
 
-	    virtual questStatus::Enum getStatus(const Player* player) const; //!< Returns the status of the quest for a specific player.
-	    virtual bool setStatus(Player* player, const questStatus::Enum & status); //!< Sets the status for a specific player.
+            virtual questStatus::Enum getStatus(const Player* player) const; //!< Returns the status of the quest for a specific player.
+            virtual bool setStatus(Player* player, const questStatus::Enum & status); //!< Sets the status for a specific player.
 
-	private:
+        private:
             std::set<Player*> players_; //!< The set of players which possess this quest.
             questStatus::Enum status_; //!< The status of this quest.
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.cc	(revision 2093)
@@ -127,9 +127,9 @@
 
         std::map<Player*, questStatus::Enum>::const_iterator it = this->playerStatus_.find((Player*)(void*)player); //Thx. to x3n for the (Player*)(void*) 'hack'.
-	if (it != this->playerStatus_.end())
-	{
-	    return it->second;
-	}
-	return questStatus::inactive;
+        if (it != this->playerStatus_.end())
+        {
+            return it->second;
+        }
+        return questStatus::inactive;
     }
 
@@ -150,5 +150,5 @@
         {
             return false;
-	}
+        }
         this->playerStatus_[player] = status;
         return true;
Index: code/trunk/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/LocalQuest.h	(revision 2093)
@@ -48,11 +48,11 @@
     class LocalQuest : public Quest
     {
-	public:
+        public:
             LocalQuest(BaseObject* creator);
-	    virtual ~LocalQuest();
+            virtual ~LocalQuest();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	protected:
+        protected:
             virtual bool isStartable(const Player* player) const; //!< Checks whether the quest can be started.
             virtual bool isFailable(const Player* player) const; //!< Checks whether the quest can be failed.
@@ -62,5 +62,5 @@
             virtual bool setStatus(Player* player, const questStatus::Enum & status); //!< Sets the status for a specific player.
 
-	private:
+        private:
             std::map<Player*, questStatus::Enum> playerStatus_; //!< List of the status for each player, with the Player-pointer as key.
 
Index: code/trunk/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/Quest.cc	(revision 2093)
@@ -135,9 +135,9 @@
         }
 
-	this->hints_.push_back(hint);
-	hint->setQuest(this);
-
-	COUT(3) << "QuestHint {" << hint->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
-	return true;
+        this->hints_.push_back(hint);
+        hint->setQuest(this);
+
+        COUT(3) << "QuestHint {" << hint->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
+        return true;
     }
 
@@ -195,11 +195,11 @@
         int i = index;
         for (std::list<Quest*>::const_iterator subQuest = this->subQuests_.begin(); subQuest != this->subQuests_.end(); ++subQuest)
-	{
-	    if(i == 0)
-	    {
-	       return *subQuest;
-	    }
-	    i--;
-	}
+        {
+            if(i == 0)
+            {
+               return *subQuest;
+            }
+            i--;
+        }
         return NULL;
     }
@@ -213,11 +213,11 @@
         int i = index;
         for (std::list<QuestHint*>::const_iterator hint = this->hints_.begin(); hint != this->hints_.end(); ++hint)
-	{
-	    if(i == 0)
-	    {
-	       return *hint;
-	    }
-	    i--;
-	}
+        {
+            if(i == 0)
+            {
+               return *hint;
+            }
+            i--;
+        }
         return NULL;
     }
@@ -231,11 +231,11 @@
         int i = index;
         for (std::list<QuestEffect*>::const_iterator effect = this->failEffects_.begin(); effect != this->failEffects_.end(); ++effect)
-	{
-	    if(i == 0)
-	    {
-	       return *effect;
-	    }
-	    i--;
-	}
+        {
+            if(i == 0)
+            {
+               return *effect;
+            }
+            i--;
+        }
         return NULL;
     }
@@ -249,11 +249,11 @@
         int i = index;
         for (std::list<QuestEffect*>::const_iterator effect = this->completeEffects_.begin(); effect != this->completeEffects_.end(); ++effect)
-	{
-	    if(i == 0)
-	    {
-	       return *effect;
-	    }
-	    i--;
-	}
+        {
+            if(i == 0)
+            {
+               return *effect;
+            }
+            i--;
+        }
         return NULL;
     }
Index: code/trunk/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Quest.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/Quest.h	(revision 2093)
@@ -66,23 +66,23 @@
     class Quest : public QuestItem
     {
-	public:
+        public:
             Quest(BaseObject* creator);
-	    virtual ~Quest();
+            virtual ~Quest();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
             inline Quest* getParentQuest(void) const //!< Returns the parent quest of the quest.
                 { return this->parentQuest_; }
-	    inline const std::list<Quest*> & getSubQuestList(void) const //!< Returns the list of sub quests.
+            inline const std::list<Quest*> & getSubQuestList(void) const //!< Returns the list of sub quests.
                 { return this->subQuests_; }
 
-	    bool isInactive(const Player* player) const; //!< Returns true if the quest status for the specific player is 'inactive'.
-	    bool isActive(const Player* player) const; //!< Returns true if the quest status for the specific player is 'active'.
-	    bool isFailed(const Player* player) const; //!< Returns true if the quest status for the specific player is 'failed'.
-	    bool isCompleted(const Player* player) const; //!< Returns true if the quest status for the specific player is 'completed'.
+            bool isInactive(const Player* player) const; //!< Returns true if the quest status for the specific player is 'inactive'.
+            bool isActive(const Player* player) const; //!< Returns true if the quest status for the specific player is 'active'.
+            bool isFailed(const Player* player) const; //!< Returns true if the quest status for the specific player is 'failed'.
+            bool isCompleted(const Player* player) const; //!< Returns true if the quest status for the specific player is 'completed'.
 
-	    bool start(Player* player); //!< Sets a quest to active.
-	    bool fail(Player* player); //!< Fails the quest.
-	    bool complete(Player* player); //!< Completes the quest.
+            bool start(Player* player); //!< Sets a quest to active.
+            bool fail(Player* player); //!< Fails the quest.
+            bool complete(Player* player); //!< Completes the quest.
 
         protected:
@@ -94,14 +94,14 @@
 
             bool setParentQuest(Quest* quest); //!< Sets the parent quest of the quest.
-	    bool addSubQuest(Quest* quest); //!< Adds a sub quest to the quest.
-	    bool addHint(QuestHint* hint); //!< Add a hint to the list of hints.
-	    bool addFailEffect(QuestEffect* effect);
-	    bool addCompleteEffect(QuestEffect* effect);
+            bool addSubQuest(Quest* quest); //!< Adds a sub quest to the quest.
+            bool addHint(QuestHint* hint); //!< Add a hint to the list of hints.
+            bool addFailEffect(QuestEffect* effect);
+            bool addCompleteEffect(QuestEffect* effect);
 
-	    const Quest* getParentQuest(void);
-	    const Quest* getSubQuests(unsigned int index) const;
-	    const QuestHint* getHints(unsigned int index) const;
-	    const QuestEffect* getFailEffects(unsigned int index) const;
-	    const QuestEffect* getCompleteEffects(unsigned int index) const;
+            const Quest* getParentQuest(void);
+            const Quest* getSubQuests(unsigned int index) const;
+            const QuestHint* getHints(unsigned int index) const;
+            const QuestEffect* getFailEffects(unsigned int index) const;
+            const QuestEffect* getCompleteEffects(unsigned int index) const;
 
             virtual questStatus::Enum getStatus(const Player* player) const = 0; //!< Returns the status of the quest for a specific player.
Index: code/trunk/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestDescription.h	(revision 2093)
@@ -46,21 +46,21 @@
     class QuestDescription : public BaseObject {
 
-	public:
+        public:
             QuestDescription(BaseObject* creator);
-	    virtual ~QuestDescription();
+            virtual ~QuestDescription();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    inline const std::string & getTitle(void) const //!< Returns the title.
+            inline const std::string & getTitle(void) const //!< Returns the title.
                 { return this->title_; }
-	    inline const std::string & getDescription(void) const //!< Returns the description text.
+            inline const std::string & getDescription(void) const //!< Returns the description text.
                 { return this->description_; }
 
-	private:
+        private:
             void initialize(void);
 
             inline void setTitle(const std::string & title) //!< Sets the title.
                 { this->title_ = title; }
-	    inline void setDescription(const std::string & description) //!< Sets the description text.
+            inline void setDescription(const std::string & description) //!< Sets the description text.
                 { this->description_ = description; }
 
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.cc	(revision 2093)
@@ -67,8 +67,8 @@
 
         for (std::list<QuestEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
-	{
-	    check = check && (*effect)->invoke(player);
-	}
-	return check;
+        {
+            check = check && (*effect)->invoke(player);
+        }
+        return check;
     }
 
Index: code/trunk/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestEffect.h	(revision 2093)
@@ -46,10 +46,10 @@
     class QuestEffect : public BaseObject
     {
-	public:
+        public:
             QuestEffect(BaseObject* creator);
-	    virtual ~QuestEffect();
+            virtual ~QuestEffect();
 
-	    virtual bool invoke(Player* player) = 0; //!< Invokes the effect.
-	    static bool invokeEffects(Player* player, std::list<QuestEffect*> & effects); //!< Invokes all effects in the list.
+            virtual bool invoke(Player* player) = 0; //!< Invokes the effect.
+            static bool invokeEffects(Player* player, std::list<QuestEffect*> & effects); //!< Invokes all effects in the list.
 
 
Index: code/trunk/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.cc	(revision 2093)
@@ -64,7 +64,7 @@
     void QuestHint::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-	SUPER(QuestHint, XMLPort, xmlelement, mode);
+        SUPER(QuestHint, XMLPort, xmlelement, mode);
 
-	COUT(3) << "New QuestHint {" << this->getId() << "} created." << std::endl;
+        COUT(3) << "New QuestHint {" << this->getId() << "} created." << std::endl;
     }
 
@@ -89,9 +89,9 @@
 
         std::map<Player*, questHintStatus::Enum>::iterator it = this->playerStatus_.find(player);
-	if (it != this->playerStatus_.end())
-	{
-	    return it->second;
-	}
-	return questStatus::inactive;
+        if (it != this->playerStatus_.end())
+        {
+            return it->second;
+        }
+        return questStatus::inactive;
     }
 
@@ -108,17 +108,17 @@
         if(this->quest_->isActive(player))
         {
-	    if(!(this->isActive(player)))
-	    {
-		this->playerStatus_[player] = questHintStatus::active;
-		return true;
-	    }
-	    else
-	    {
+            if(!(this->isActive(player)))
+            {
+                this->playerStatus_[player] = questHintStatus::active;
+                return true;
+            }
+            else
+            {
                 COUT(2) << "An already active questHint was trying to get activated." << std::endl;
                 return false;
-	    }
+            }
         }
-	COUT(2) << "A hint of a non-active quest was trying to get activated." << std::endl;
-	return false;
+        COUT(2) << "A hint of a non-active quest was trying to get activated." << std::endl;
+        return false;
     }
 
Index: code/trunk/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestHint.h	(revision 2093)
@@ -65,18 +65,18 @@
     {
 
-	public:
+        public:
             QuestHint(BaseObject* creator);
-	    virtual ~QuestHint();
+            virtual ~QuestHint();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    bool isActive(Player* player); //!< Returns true if the hint is active for the input player.
+            bool isActive(Player* player); //!< Returns true if the hint is active for the input player.
 
-	    bool activate(Player* player); //!< Activates the hint for the input player.
+            bool activate(Player* player); //!< Activates the hint for the input player.
 
-	    bool setQuest(Quest* quest); //!< Sets the quest the hint belongs to.
+            bool setQuest(Quest* quest); //!< Sets the quest the hint belongs to.
 
-	    inline Quest* getQuest(void)
-	       { return this->quest_; }
+            inline Quest* getQuest(void)
+               { return this->quest_; }
 
         private:
Index: code/trunk/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.cc	(revision 2093)
@@ -94,5 +94,5 @@
         Checks whether an input id is of the required form.
     @param id
-	The id to be checked.
+        The id to be checked.
     @return
         Returns true if the string is likely to be of the required form.
Index: code/trunk/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestItem.h	(revision 2093)
@@ -41,36 +41,36 @@
     /**
     @brief
-	Functions as a base class for Quest classes such as Quest or QuestHint.
-	Has a unique identifier and a description.
+        Functions as a base class for Quest classes such as Quest or QuestHint.
+        Has a unique identifier and a description.
     @author
-	Damian 'Mozork' Frick
+        Damian 'Mozork' Frick
     */
     class QuestItem : public BaseObject
     {
 
-	public:
+        public:
             QuestItem(BaseObject* creator);
-	    virtual ~QuestItem();
+            virtual ~QuestItem();
 
-	    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
-	    inline const std::string & getId(void) const //!< Returns the id of this quest.
+            inline const std::string & getId(void) const //!< Returns the id of this quest.
                 { return this->id_; }
-	    inline const QuestDescription* getDescription(void) const //!< Returns the description of the QuestItem.
+            inline const QuestDescription* getDescription(void) const //!< Returns the description of the QuestItem.
                 { return this->description_; }
-	    //const QuestDescription* getDescription(unsigned int index) const; //!< Returns the description of the QuestItem.
+            //const QuestDescription* getDescription(unsigned int index) const; //!< Returns the description of the QuestItem.
 
-	    static bool isId(const std::string & id); //!< Checks whether a given id is valid.
+            static bool isId(const std::string & id); //!< Checks whether a given id is valid.
 
-	protected:
-	    void setId(const std::string & id);
-	    inline void setDescription(QuestDescription* description)
+        protected:
+            void setId(const std::string & id);
+            inline void setDescription(QuestDescription* description)
                 { this->description_ = description; }
 
-	private:
-	    std::string id_; //!< Identifier. Should be of GUID form: http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure
-	    QuestDescription* description_; //!< The description of the QuestItem.
+        private:
+            std::string id_; //!< Identifier. Should be of GUID form: http://en.wikipedia.org/wiki/Globally_Unique_Identifier#Basic_structure
+            QuestDescription* description_; //!< The description of the QuestItem.
 
-	    void initialize(void); //!< Initializes the object.
+            void initialize(void); //!< Initializes the object.
 
     };
Index: code/trunk/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.cc	(revision 2093)
@@ -62,5 +62,5 @@
             COUT(2) << "Registration of Quest in QuestManager failed, because inserted Quest-pointer was NULL." << std::endl;
             return false;
-	}
+        }
 
         std::pair<std::map<std::string, Quest*>::iterator,bool> ret;
@@ -71,10 +71,10 @@
             COUT(3) << "Quest with questId {" << quest->getId() << "} successfully inserted." << std::endl;
             return true;
-	}
-	else
-	{
-	   COUT(2) << "Quest with the same id was already present." << std::endl;
-	   return false;
-	}
+        }
+        else
+        {
+           COUT(2) << "Quest with the same id was already present." << std::endl;
+           return false;
+        }
     }
 
@@ -102,10 +102,10 @@
             COUT(3) << "QuestHint with hintId {" << hint->getId() << "} successfully inserted." << std::endl;
             return true;
-	}
-	else
-	{
-	   COUT(2) << "QuestHint with the same id was already present." << std::endl;
-	   return false;
-	}
+        }
+        else
+        {
+           COUT(2) << "QuestHint with the same id was already present." << std::endl;
+           return false;
+        }
     }
 
@@ -124,21 +124,21 @@
     {
         if(!QuestItem::isId(questId))
-	{
+        {
             ThrowException(Argument, "Invalid questId.");
-	}
+        }
 
         Quest* quest;
         std::map<std::string, Quest*>::iterator it = questMap_.find(questId);
-	if (it != questMap_.end())
-	{
-	    quest = it->second;
-	}
-	else
-	{
-	   quest = NULL;
-	   COUT(2) << "The quest with id {" << questId << "} is nowhere to be found." << std::endl;
-	}
+        if (it != questMap_.end())
+        {
+            quest = it->second;
+        }
+        else
+        {
+           quest = NULL;
+           COUT(2) << "The quest with id {" << questId << "} is nowhere to be found." << std::endl;
+        }
 
-	return quest;
+        return quest;
 
     }
@@ -158,21 +158,21 @@
     {
         if(!QuestItem::isId(hintId))
-	{
+        {
             ThrowException(Argument, "Invalid hintId.");
-	}
+        }
 
         QuestHint* hint;
         std::map<std::string, QuestHint*>::iterator it = hintMap_.find(hintId);
-	if (it != hintMap_.end())
-	{
-	    hint = it->second;
-	}
-	else
-	{
-	   hint = NULL;
-	   COUT(2) << "The hint with id {" << hintId << "} is nowhere to be found." << std::endl;
-	}
+        if (it != hintMap_.end())
+        {
+            hint = it->second;
+        }
+        else
+        {
+           hint = NULL;
+           COUT(2) << "The hint with id {" << hintId << "} is nowhere to be found." << std::endl;
+        }
 
-	return hint;
+        return hint;
 
     }
Index: code/trunk/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/QuestManager.h	(revision 2093)
@@ -49,17 +49,17 @@
     {
 
-	public:
-	    QuestManager(BaseObject* creator);
-	    virtual ~QuestManager();
+        public:
+            QuestManager(BaseObject* creator);
+            virtual ~QuestManager();
 
-	    static bool registerQuest(Quest* quest); //!< Registers a quest in the QuestManager.
-	    static bool registerHint(QuestHint* quest); //!< Registers a QuestHint in the QuestManager.
+            static bool registerQuest(Quest* quest); //!< Registers a quest in the QuestManager.
+            static bool registerHint(QuestHint* quest); //!< Registers a QuestHint in the QuestManager.
 
-	    static Quest* findQuest(const std::string & questId); //!< Returns the quest with the input id.
-	    static QuestHint* findHint(const std::string & hintId); //!< Returns the QuestHint with the input id.
+            static Quest* findQuest(const std::string & questId); //!< Returns the quest with the input id.
+            static QuestHint* findHint(const std::string & hintId); //!< Returns the QuestHint with the input id.
 
-	private:
-	    static std::map<std::string, Quest*> questMap_; //!< All quests registered by their id's.
-	    static std::map<std::string, QuestHint*> hintMap_; //!< All hints registered by their id's.
+        private:
+            static std::map<std::string, Quest*> questMap_; //!< All quests registered by their id's.
+            static std::map<std::string, QuestHint*> hintMap_; //!< All hints registered by their id's.
 
     };
Index: code/trunk/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- code/trunk/src/orxonox/objects/quest/Rewardable.h	(revision 2092)
+++ code/trunk/src/orxonox/objects/quest/Rewardable.h	(revision 2093)
@@ -45,9 +45,9 @@
     {
 
-	public:
-	    Rewardable(BaseObject* creator);
-	    virtual ~Rewardable();
+        public:
+            Rewardable(BaseObject* creator);
+            virtual ~Rewardable();
 
-	    virtual bool reward(Player* player) = 0; //!<Method to transcribe a rewardable object to the player.
+            virtual bool reward(Player* player) = 0; //!<Method to transcribe a rewardable object to the player.
 
     };
